## balboa 1.0

=== debian/changelog ===
balboa (1.0-3) unstable; urgency=medium

  * Do not hardcode shared lib dependency in binary package.
    Closes: #915599

 -- Sascha Steinbiss <satta@debian.org>  Wed, 05 Dec 2018 10:52:41 +0100

balboa (1.0-2) unstable; urgency=medium

  * Update rocksdb dependency to 5.15.
  * Use /run in service file.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 04 Dec 2018 14:06:33 +0100

balboa (1.0-1) unstable; urgency=low

  * Initial release (Closes: #913313)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Nov 2018 00:29:35 +0100
