=== debian/control ===
Source: balboa
Section: net
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 11),
 dh-golang,
 golang-go,
 golang-github-machinebox-graphql-dev,
 golang-github-graph-gophers-graphql-go-dev,
 golang-github-satori-go.uuid-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-neowaylabs-wabbit-dev,
 golang-github-gocql-gocql-dev,
 golang-github-willfaught-gockle-dev,
 golang-github-data-dog-go-sqlmock-dev,
 librocksdb-dev (>= 5.15),
 libtpl-dev
Standards-Version: 4.2.1
XS-Go-Import-Path: github.com/DCSO/balboa
Vcs-Browser: https://salsa.debian.org/debian/balboa
Vcs-Git: https://salsa.debian.org/debian/balboa.git
Homepage: https://github.com/DCSO/balboa

Package: balboa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Built-Using: ${misc:Built-Using}
Description: Passive DNS database with GraphQL interface
 balboa is the BAsic Little Book Of Answers. It consumes and indexes
 observations from passive DNS collection, providing a GraphQL interface
 to access the aggregated contents of the observations database.
