=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DH_GOPKG := github.com/DCSO/balboa
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_INSTALL_EXTRA := testdata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/man

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/man
	find . -executable -wholename '*bin/balboa' -exec {} makeman --dir debian/man \;
