=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/balboa-$1\.tar\.gz/ \
  https://github.com/DCSO/balboa/tags .*/v?(\d\S+)\.tar\.gz
