## balboa 2.0.0%2Bds

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/balboa-$1\.tar\.gz/ \
  https://github.com/DCSO/balboa/tags .*/v?(\d\S+)\.tar\.gz
