## balboa 2.0.0+ds

=== debian/changelog ===
balboa (2.0.0+ds-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Skip dh_dwz step in d/rules.
  * Require Golang from backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 17 Sep 2020 15:28:24 +0200

balboa (2.0.0+ds-3) unstable; urgency=medium

  * Patch Makefiles to add `-latomic'. Fixes FTBFS on mips and others.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Jul 2019 16:57:06 +0200

balboa (2.0.0+ds-2) unstable; urgency=medium

  * Fix build on MIPS systems.
  * Bump Standards-Version.
  * Use debhelper 12.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Jul 2019 14:58:12 +0200

balboa (2.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Separate into multiple binary packages to reflect new upstream structure
    (frontend/backend/maintenance).
  * Create manpages.
  * Do not ship database.yml any more since it is no longer needed.
  * Repack upstream code to remove unneeded embedded third party code.
  * Adapt autopkgtests.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 13 Jul 2019 08:50:06 +0200
