=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,20 @@
 	dh_auto_clean
 	rm -rf debian/man
 
+override_dh_installsystemd:
+	dh_installsystemd -p balboa balboa.service
+	dh_installsystemd -p balboa-backend-common --no-enable --no-start \
+	  --name=balboa-backend@ balboa-backend@.service
+
+override_dh_dwz:
+	# pass
+
 override_dh_auto_build:
 	dh_auto_build
 	mkdir -p debian/man
 	find . -executable -wholename '*bin/balboa' -exec {} makeman --dir debian/man \;
+	make -C backend
+	help2man --no-discard-stderr -N -n 'RocksDB backend for balboa' \
+	       	backend/balboa-rocksdb/build/balboa-rocksdb > debian/man/balboa-rocksdb.1
+	help2man --no-discard-stderr -N -n 'Backend maintenance console for balboa' \
+		backend/balboa-backend-console/build/balboa-backend-console > debian/man/balboa-backend-console.1
