## balboa 2.1.0+ds

=== debian/changelog ===
balboa (2.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add new build-dependencies introduced by new upstream release.
  * Bump Golang dependency to 1.23.
  * Add new config files.
  * Some cosmetics in autopkgtest script.
  * Slim down the default input feeders.
  * Ensure the correct defaults file is used for backend service.
  * Remove patches applied upstream.
  * Bump Standards-Version.
  * Add patches to enable reconnection and protocol parity.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Jul 2025 21:41:54 +0200

balboa (2.0.0+ds-7) unstable; urgency=medium

  * Stop building static binaries for the backend tools.
    Thanks to Aurelien Jarno for noticing and raising this.
    Closes: #1106793

 -- Sascha Steinbiss <satta@debian.org>  Sun, 01 Jun 2025 12:15:09 +0200

balboa (2.0.0+ds-6) unstable; urgency=medium

  * Ensure multiple builds can be done in same directory.
    Done by ensuring the directory is cleaned correctly.
    Closes: #1043821

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Nov 2023 13:27:31 +0100

balboa (2.0.0+ds-5) unstable; urgency=medium

  * Switch from golang-github-streadway-amqp-dev to
    golang-github-rabbitmq-amqp091-dev-go, which is the current
    line of development.
  * Add upstream metadata.
  * Switch to debhelper-compat 13.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 22 Jan 2023 09:13:57 +0100

balboa (2.0.0+ds-4) unstable; urgency=medium

  * Remove autogenerated date/time in manpage.
    This helps make the build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 09:42:55 +0100
