=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-golang,
- golang-go (>= 2:1.12),
+ golang-go (>= 2:1.23~),
  golang-github-machinebox-graphql-dev,
  golang-github-graph-gophers-graphql-go-dev,
  golang-github-satori-go.uuid-dev,
@@ -13,12 +13,18 @@
  golang-github-go-sql-driver-mysql-dev,
  golang-github-sirupsen-logrus-dev (>= 1.0.1),
  golang-github-neowaylabs-wabbit-dev,
+ golang-github-rabbitmq-amqp091-go-dev,
  golang-github-gocql-gocql-dev,
  golang-github-data-dog-go-sqlmock-dev,
  golang-github-ugorji-go-codec-dev (>= 1.1.1),
+ golang-github-yuin-gopher-lua-dev,
+ golang-github-farsightsec-go-nmsg-dev,
+ golang-github-gogo-protobuf-dev,
+ golang-github-golang-protobuf-1-5-dev,
  librocksdb-dev (>= 5.15),
  help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/DCSO/balboa
 Vcs-Browser: https://salsa.debian.org/debian/balboa
 Vcs-Git: https://salsa.debian.org/debian/balboa.git
