## balboa 2.1.2+ds

=== debian/changelog ===
balboa (2.1.2+ds-3) unstable; urgency=medium

  * Skip test on big-endian systems.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 12 Jan 2026 11:48:54 +0100

balboa (2.1.2+ds-2) unstable; urgency=medium

  * Make sure that created data directories are removed on purge.
  * Add patch to extend test waiting time for NMSG format test.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Jan 2026 22:31:47 +0100

balboa (2.1.2+ds-1) unstable; urgency=medium

  * New upstream release:
    - Add new build-dependencies introduced by new upstream release.
    - Bump Golang dependency to 1.23.
    - Add new config files.
    - Some cosmetics in autopkgtest script.
    - Slim down the default input feeders.
    - Ensure the correct defaults file is used for backend service.
    - Bump Standards-Version.
    - Add patches to enable reconnection and protocol parity.
  * Remove patches applied upstream.
  * Add upgrade handling for transitions from 2.0.x:
    - Add debian/NEWS documenting configuration changes.
    - Add debian/README.Debian with upgrade guidance.
    - Update postinst to warn if /etc/default/balboa is missing the
      required -b flag for backend.yaml.
    - Update NEWS and README.Debian to match warn-only behavior.
  * Add Static-Built-Using fields to Go binary packages.
  * Add lintian overrides for debian/watch signature checking and
    spelling errors in the balboa binary.
  * Fix Upstream-Name in debian/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 10 Jan 2026 10:37:31 +0100

balboa (2.0.0+ds-8) unstable; urgency=medium

  * Work toward better reproducibility by honoring SOURCE_DATE_EPOCH and
    setting the correct date in man page generation.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 30 Nov 2025 02:13:06 +0100
