=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
  golang-github-go-sql-driver-mysql-dev,
- golang-github-sirupsen-logrus-dev (>= 1.0.1),
+ golang-github-sirupsen-logrus-dev,
  golang-github-neowaylabs-wabbit-dev,
  golang-github-rabbitmq-amqp091-go-dev,
  golang-github-gocql-gocql-dev,
@@ -34,6 +34,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Recommends: balboa-backend-rocksdb
 Description: Passive DNS database with GraphQL interface, frontend
  balboa is the BAsic Little Book Of Answers. It consumes and indexes
@@ -47,6 +48,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: balboa
+Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Common files for balboa backends
  balboa is the BAsic Little Book Of Answers. It consumes and indexes
  observations from passive DNS collection, providing a GraphQL interface
@@ -58,6 +61,8 @@
 Package: balboa-backend-rocksdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, balboa-backend-common
+Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: RocksDB backend for balboa
  balboa is the BAsic Little Book Of Answers. It consumes and indexes
  observations from passive DNS collection, providing a GraphQL interface
